TAAS - Feature #116

Cash Withdrawal
12/07/2022 12:17 PM - Anil KV

Status: New Changes Coding Done Start date: 01/23/2023
Priority: Normal Due date:

Assignee: Shilpa Pavithran % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Cash Withdrawal

Description

Coding Cash Withdrawal

History

#1 - 01/03/2023 03:36 PM - Junaid M
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 01/23/2023 04:05 PM - Junaid M
- Assignee changed from Junaid M to Akash B

#3 - 01/23/2023 04:27 PM - Akash B

- Status changed from Open to Coding Started

- Start date changed from 12/07/2022 to 01/23/2023
- % Done changed from 10 to 40

#4 - 01/30/2023 12:59 PM - Akash B
- Status changed from Coding Started to Particialy Coding Done

#5 - 02/02/2023 06:33 PM - Akash B
- Status changed from Particialy Coding Done to Coding Done

- % Done changed from 40 to 60

#6 - 02/03/2023 09:44 AM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Akash B

ISSUE FOUND *****
1.CANT SAVE CASH WITHDRAW

P0001: jsnSqglRes: {"sinSqlCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSqlCustomMessage" : "Cash Deposit Save Failed",
"strSglCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSqlCustomErrorCode" : null, "strSqlSysMessage" : "procedure
sp_insert_or_update_transaction(jsonb[], smallint, json) does not exist", "strSqlSysExceptionDetail" : ", "strSqlSysExceptionHint" : "PL/pgSQL
function sp_insert_or_update_cash_withdraw(jsonb,jsonbl]) line 65 at CALL", "binSqlPk" : 0, "binSqlLogPk" : 0, "strSglDocNo" : null,
"dctSqlOtherData" : {"binDocumentld": "36", "strDocumentNo": "CW/001", "binCashWithdrawld": "8"}}

#7 - 02/03/2023 09:45 AM - Amal Cyriac
- Tested By changed from Akash B to Amal Cyriac

ISSUE FOUND
1.CANT SAVE CASH WITHDRAW

P0001: jsnSqglRes: {"sinSqlCustomStatus" : -1, "strSglCustomStatusCode" : "ERROR", "strSqlCustomMessage" : "Cash Deposit Save Failed",
"strSqlCustomErrorType" : "DATABASE_SYSTEM_ERROR", "strSqlCustomErrorCode" : null, "strSglSysMessage" : "procedure
sp_insert_or_update_transaction(jsonbl], smallint, json) does not exist", "strSqlSysExceptionDetail" : ", "strSqlSysExceptionHint" : "PL/pgSQL
function sp_insert_or_update_cash_withdraw(jsonb,jsonbl]) line 65 at CALL", "binSqIPk" : 0, "binSqlLogPk" : 0, "strSglDocNo" : null,
"dctSqlOtherData" : {"binDocumentld": "36", "strDocumentNo": "CW/001", "binCashWithdrawld": "8"}}

#8 - 02/07/2023 09:42 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 04/19/2023 06:16 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.Error on cash amount while change ROE

(Prevent Save/Update when Debit & Credit amounts are not tally)
2.Add precision on amounts

(Refresh GUI > re enter doc. Number)

3.Prevent update on Cash Withdraw by more than one user at a time
(use proper alerts)

#10 - 04/20/2023 10:23 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Reported bug fixed except ROE case(issue in Roe Module)

#11 - 05/17/2023 06:33 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Add view posting

2.Use proper alerts

3.Disable Doc. No. after save

4 Prevent Save/Update while Dr/Cr amounts are not tally

#12 - 05/18/2023 05:53 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Cash withdrawal bug fixed

#13 - 05/23/2023 05:46 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.fix bugs on posting - Cr/Dr values are incorrect
2.Set precision on Amount in QAR column
#14 - 05/26/2023 10:01 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#15 - 06/02/2023 06:00 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Responsible Account/ Employee missing on save

#16 - 06/05/2023 04:05 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#17 - 08/10/2023 06:20 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.UI CRASHING WHILE ADDING BLANK OPTION IN CASH COUNTER

#18 - 08/16/2023 06:21 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#19 - 10/07/2023 05:19 PM - Junaid M
- Assignee changed from Akash B to Vivekp V

#20 - 11/10/2023 12:01 PM - unnikannan S
ISSUE FOUNDED

1.ADD INFO MESSAGE AS (BLUE)
2.RE-DIRECT ISSUE FROM SEARCH MODULES

3.CHANGE APPROVED BY: TO BY:
4.ADD MANDATORY FIELD IN DOC,POSTING STATUS

#21 - 11/10/2023 12:08 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#22 - 11/10/2023 02:21 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE Fixed

1.ADD INFO MESSAGE AS (BLUE)

2.RE-DIRECT ISSUE FROM SEARCH MODULES
3.CHANGE APPROVED BY: TO BY:

4.ADD MANDATORY FIELD IN DOC,POSTING STATUS
#23 - 11/10/2023 02:22 PM - Vivekp V
ISSUE Fixed

1.ADD INFO MESSAGE AS (BLUE)

2.RE-DIRECT ISSUE FROM SEARCH MODULES
3.CHANGE APPROVED BY: TO BY:

4.ADD MANDATORY FIELD IN DOC,POSTING STATUS

#24 - 11/11/2023 10:12 AM - unnikannan S
TESTING DONE

#25 - 03/14/2024 03:42 PM - Junaid M
- Assignee changed from Vivekp V to Amal Siby

#26 - 05/03/2024 10:42 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V

#27 - 09/18/2024 04:09 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#28 - 10/25/2024 02:09 PM - unnikannan S

- Status changed from Testing Done to Reopen Bugs
- % Done changed from 90 to 50

ISSUE FOUNDED

1.Rename Counter To Cash Counter in Ul

#29 - 10/28/2024 09:39 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Rename Counter To Cash Counter in Ul

#30 - 11/15/2024 12:54 PM - Theja Ponon

- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#31 - 03/13/2025 10:19 AM - Arathy PS
- Assignee changed from Vivekp V to Shilpa Pavithran

#32 - 03/13/2025 10:20 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to New Changes

- % Done changed from 90 to 50
Set Document Id in Posting
Eg:

mdITransaction.binDocumentld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure
mdITransaction.binSubDocld = mdIReceiptDocument.binDocumentld; // 1st time, Set From Procedure

#33 - 03/14/2025 09:51 AM - Shilpa Pavithran
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70
Files

1-CsModel.cs
2-tsModel.ts
3-CsFile.cs
4-CsControllerFile.cs
5-TsFile.ts
6-HtmlFile.html

sql.sql

05/03/2025

4.16 KB
2.31 KB
13.5 KB
25.4 KB
15.7 KB
1.91 KB
12.4 KB

01/03/2023
01/03/2023
01/03/2023
01/03/2023
01/03/2023
01/03/2023
01/03/2023
Junaid M
